server:
  port: 8020
  servlet:
    session:
      # 超时时间为一周
      timeout: 604800
spring:
  application:
    name: oss-console
  profiles:
    active: @profile.active@
  servlet:
    multipart:
      max-file-size: 1GB
      max-request-size: 1GB
  mvc:
    dispatch-options-request: true
#    cache: true
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    type: com.zaxxer.hikari.HikariDataSource
    hikari:
      minimum-idle: 5
      maximum-pool-size: 10
      auto-commit: true
      idle-timeout: 30000
      pool-name: EvaluationHikariCP
      max-lifetime: 1800000
      connection-timeout: 30000
      connection-test-query: SELECT 1
  jpa:
    show-sql: false
    open-in-view: true
    hibernate:
      ddl-auto: update
    properties:
      hibernate:
        hbm2ddl:
          auto: update
        dialect: org.hibernate.dialect.MySQL57Dialect
  thymeleaf:
    prefix: classpath:/templates
    suffix: .html
    mode: HTML
    encoding: utf-8
    servlet:
      content-type: text/html